## org.apache.lucene.collation.tokenattributes
Class CollatedTermAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.CharTermAttributeImpl
              org.apache.lucene.collation.tokenattributes.CollatedTermAttributeImpl

All Implemented Interfaces:
  Appendable, CharSequence, Cloneable, CharTermAttribute, TermToBytesRefAttribute, Attribute

    public class CollatedTermAttributeImpl

extends CharTermAttributeImpl

Extension of `CharTermAttributeImpl` that encodes the term text as a binary Unicode collation key instead of as UTF-8 bytes.

Constructor Summary
`CollatedTermAttributeImpl(Collator collator)` Create a new CollatedTermAttributeImpl

Method Summary
`int` `fillBytesRef()`

Methods inherited from class org.apache.lucene.analysis.tokenattributes.CharTermAttributeImpl
`append, append, append, append, append, append, buffer, charAt, clear, clone, copyBuffer, copyTo, equals, getBytesRef, hashCode, length, reflectWith, resizeBuffer, setEmpty, setLength, subSequence, toString`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`reflectAsString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollatedTermAttributeImpl

    public CollatedTermAttributeImpl(Collator collator)

  Create a new CollatedTermAttributeImpl

  Parameters:
    `collator` - Collation key generator

Method Detail

### fillBytesRef

    public int fillBytesRef()

  Specified by:
    `fillBytesRef` in interface `TermToBytesRefAttribute`
  Overrides:
    `fillBytesRef` in class `CharTermAttributeImpl`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.